Subject: Re: bug#53229: 29.0.50; Image-dired is not reusing thumbnails created in emacs-27

From: Stefan Kangas <[email-masked]>
Date: Fri, 14 Jan 2022 00:39:25 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan, was there any particular reason to switch from sha1 to md5 in
> image-dired?

Mostly that it was marginally faster and I didn't expect any breakage.
I think we could either switch back, or make sure that we use the MD5
version of the file name if it exists and otherwise use SHA1.

>  (Yes, I know that md5 is "broken", but if you have people
> doing adversarial attacks on your image directories, you have bigger
> problems.)

But what about my tin foil?